import 'dart:async';

import 'package:flutter/services.dart';

class Smshandler {
  static const MethodChannel _channel = const MethodChannel('smshandler');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> sendYourSms(String number,String data,int simId) async {
    if(number != null){
      final String messageStatus = await _channel
          .invokeMethod("sendSms", {"number": number.toString(), "data": data.toString(),"simId":simId});
      return messageStatus;
    }
  }
}

class MessageData {
  final String number;
  final String data;
  MessageData(this.number,this.data);
}